## neutron 13.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.1.1 # BSD
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
ryu>=4.24 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
WebOb>=1.7.1 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.9.1 # Apache-2.0
psutil>=3.2.2 # BSD
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
weakrefmethod>=1.0.2;python_version=='2.7' # PSF

python-novaclient>=9.1.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0

=== debian/changelog ===
neutron (2:13.0.2-0ubuntu3.4) cosmic-security; urgency=medium

  * SECURITY UPDATE: iptables security group rules issue
    - debian/patches/CVE-2019-9735.patch: when converting sg rules to
      iptables, do not emit dport if not supported in
      neutron/agent/linux/iptables_firewall.py,
      neutron/tests/unit/agent/linux/test_iptables_firewall.py.
    - CVE-2019-9735

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Jun 2019 09:09:27 -0400

neutron (2:13.0.2-0ubuntu3.3) cosmic; urgency=medium

  * d/p/bug1826419.patch: Cherry pick fix to revert incorrect changes to
    internal DNS behaviour (LP: #1826419).

 -- James Page <james.page@ubuntu.com>  Tue, 04 Jun 2019 09:40:48 +0100

neutron (2:13.0.2-0ubuntu3.2) cosmic; urgency=medium

  * Backport fix for dvr+l3ha metadata service not available
    - d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch (LP: #1606741)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 10 May 2019 17:24:31 +0100

neutron (2:13.0.2-0ubuntu3.1) cosmic; urgency=medium

  * d/p/bug1823038.patch: Cherry pick fix to ensure that None is not
    passed as an argument when spawning the neutron-keepalived-state-change
    agent (LP: #1823038).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Apr 2019 11:37:29 +0100

neutron (2:13.0.2-0ubuntu3) cosmic; urgency=medium

  * d/p/fix-KeyError-in-OVS-firewall.patch: Cherry-picked from upstream
    to prevent neutron ovs agent from crashing due to creation of two
    security groups that both use the same remote security group, where
    the first group's port range is a subset of the second (LP: #1813007).
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Cherry-picked from upstream stable/rocky branch to ensure proper
    detection of MASTER HA router by neutron-keepalived-state-change
    (LP: #1818614).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 15:49:38 -0400

neutron (2:13.0.2-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1806049).
  * d/p/metadata-use-requests-for-comms-with-nova-api.patch,
    d/p/revert-dvr-add-error-handling.patch,
    d/p/revert-dvr-inter-tenant.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 12:22:57 -0500

neutron (2:13.0.1-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky.
  * d/p/revert-dvr-add-error-handling.patch: Cherry-picked from upstream to
    revert DVR regressions (LP: #1751396)
  * d/p/revert-dvr-inter-tenant.patch: Cherry-picked from upstream to revert
    DVR regression (LP: #1783654).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Oct 2018 17:18:19 -0400

neutron (2:13.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Update min version of python(3)-pecan to rocky version
    (LP: #1794259).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Sep 2018 09:12:54 -0400

neutron (2:13.0.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/neutron-*.install: Move common files to neutron-common. Only
      have python(3)-neutron depend on neutron-common. Other packages that used
      to depend on neutron-common now depend on python-neutron | python3-neutron.
      Also move python(3)-neutron-fwaas to neutron-l3-agent Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 10:21:50 -0400

neutron (2:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/metadata-use-requests-for-comms-with-nova-api.patch: Cherry
    pick of fix to support use of certs with IP based SAN's on Nova
    API endpoints when making metadata service calls (LP: #1790598).
  * d/control: Bump minimum requests version inline with above patch.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Sep 2018 14:59:36 +0100

neutron (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:21:41 -0400

neutron (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:30:02 -0400

neutron (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py36-fixes.patch: Dropped. Fixed in upstream milestone.
  * d/p/flake8-legacy.patch: Rebased.
  * d/rules: Run tests via pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 11:25:05 -0400

neutron (2:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for Python 3 support.
    - d/control: Add python3-neutron, alternative to python-neutron.
    - d/control,*.install: Move all py binaries to python{3}-neutron.
    - d/rules: Use pkgos-dh_auto_install for py2/py3 install.
    - d/*.postinst,prerm,postrm: Manage py binaries using alternatives.
    - d/rules: Execute py2 and py3 unit tests.
    - d/p/py36-fixes.patch: Cherry pick fix to correctly patch sys.argv,
      resolving unit test failures under Python 3.6.
    - d/*.manpages,control: Move manpages to -common package.
  * Drop old transitional packages which are no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 22:10:43 +0100

neutron (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:01:20 +0100

neutron (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs where possible.


=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 crudini,
 python-alembic (>= 0.8.10),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-debtcollector (>= 1.2.0),
 python-designateclient (>= 2.7.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-jinja2 (>= 2.10),
 python-keystoneauth1 (>= 3.4.0),
 python-keystonemiddleware (>= 4.17.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-netifaces (>= 0.10.4),
 python-neutron-lib (>= 1.18.0),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openvswitch (>= 2.8.0),
 python-os-testr (>= 1.0.0),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-ovsdbapp (>= 0.9.1),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pecan (>= 1.3.2),
 python-pep8,
 python-psutil (>= 3.2.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-ryu (>= 4.24),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.2.0),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:16.1.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-weakrefmethod (>= 1.0.2),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 1.0.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-ovsdbapp (>= 0.9.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.4.21),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-ryu (>= 4.24),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-tenacity (>= 3.2.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Homepage: https://docs.openstack.org/neutron

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-metadata-agent (= ${source:Version}),
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-metadata-agent (= ${source:Version}),
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 python-neutron-fwaas (>= 1:13.0.0~) | python3-neutron-fwaas (>= 1:13.0.0~),
 radvd,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-linuxbirdge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Replaces:
 neutron-plugin-linuxbridge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Replaces:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 openvswitch-switch,
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 python-neutron (= ${source:Version}) | python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,systemd

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-neutron/usr/etc/neutron

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'a
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	dh_install --fail-missing -X/usr/etc

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test
endif

=== debian/tests/control ===
Tests: neutron-server neutron-agents
Depends: python-neutron, python-neutron-fwaas, neutron-server, rabbitmq-server, mysql-server
Restrictions: needs-root allow-stderr needs-recommends

## neutron 13.0.3

=== debian/changelog ===
neutron (2:13.0.3-0ubuntu2) cosmic; urgency=medium

  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Cherry-picked
    from upstream to revert invalid use of iptables -j CHECKSUM
    (LP: #1722584).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Jun 2019 13:23:45 -0400

neutron (2:13.0.3-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1830695).
  * d/p/Spawn-metadata-proxy-on-dvr-ha-standby-routers.patch:
    Dropped. Fixed upstream in 13.0.3.
  * d/p/bug1823038.patch: Dropped. Fixed upstream in 13.0.3.
  * d/p/fix-KeyError-in-OVS-firewall.patch: Dropped. Fixed upstream in 13.0.3.
  * d/p/set-initial-ha-router-state-in-neutron-keepalived-st.patch:
    Dropped. Fixed upstream in 13.0.3.
  * d/p/bug1826419.patch: Rebased to the last version published upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 04 Jun 2019 15:11:56 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/neutron neutron-(13\.\d.*)\.tar\.gz

## neutron 13.0.7

=== debian/changelog ===
neutron (2:13.0.7-0ubuntu1~cloud6) bionic-rocky; urgency=medium

  * Backport fix for TCP checksum issue (LP: #1832021)
    - d/p/0001-Workaround-for-TCP-checksum-issue-with-ovs-dpdk-and-.patch

 -- erlon <erlon@canonical.com>  Tue, 04 May 2021 14:40:03 -0300

neutron (2:13.0.7-0ubuntu1~cloud5) bionic-rocky; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 23 Mar 2021 08:49:30 +0530

neutron (2:13.0.7-0ubuntu1~cloud4) bionic-rocky; urgency=medium

  * Fix interrupt of VLAN traffic on reboot of neutron-ovs-agent:
    - d/p/0002-Do-not-block-connection-between-br-int-and-br-phys-o.patch (LP: #1869808)
    - d/p/0003-Ensure-that-stale-flows-are-cleaned-from-phys_bridge.patch (LP: #1864822)
    - d/p/0004-DVR-Reconfigure-re-created-physical-bridges-for-dvr-.patch (LP: #1864822)
    - d/p/0005-Ensure-drop-flows-on-br-int-at-agent-startup-for-DVR.patch (LP: #1887148)
    - d/p/0006-Don-t-check-if-any-bridges-were-recrected-when-OVS-w.patch (LP: #1864822)
    - d/p/0007-Not-remove-the-running-router-when-MQ-is-unreachable.patch (LP: #1871850)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 22 Feb 2021 16:55:40 +0000

neutron (2:13.0.7-0ubuntu1~cloud3) bionic-rocky; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Trent Lloyd ]
  * d/p/Not-remove-the-running-router-when-MQ-is-unreachable.patch:
    Don't delete the running router when RabbitMQ is unreachable (LP: #1871850)
  * d/p/Do-not-block-connection-between-br-int-and-br-phys-o.patch:
    Do not block flow between br-int and br-phys on startup as it blocks
    VLAN traffic during router restart (LP: #1869808)
  * d/p/Ensure-drop-flows-on-br-int-at-agent-startup-for-DVR.patch:
    Ensure drop flows on br-int at agent startup for DVR too (LP: #1887148)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2021 13:05:52 -0500

neutron (2:13.0.7-0ubuntu1~cloud2) bionic-rocky; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 09 Sep 2020 14:53:57 +0100

neutron (2:13.0.7-0ubuntu1~cloud1) bionic-rocky; urgency=medium

  * d/watch: Switch to opendev.org.
  * New stable point release for OpenStack Rocky (LP: #1875462).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 May 2020 13:16:02 -0400

neutron (2:13.0.6-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:25 -0500

neutron (2:13.0.4-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1837866).
  * d/p/revert-iptables-tcp-checksum-fill-code.patch: Dropped.
    Fixed upstream in 13.0.4.
  * d/p/bug1826419.patch: Dropped. Fixed upstream in 13.0.4.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 25 Jul 2019 13:59:20 +0200

neutron (2:13.0.3-0ubuntu2~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 25 Jun 2019 23:45:26 +0000

=== debian/control ===
--- 
+++ 
@@ -149,8 +149,8 @@
  python3-webtest (>= 2.0.27),
  rename,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
 Homepage: https://docs.openstack.org/neutron
 
 Package: neutron-dhcp-agent

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron neutron-(13\.\d.*)\.tar\.gz

## neutron 13.0.7+git.2021.09.27.bace3d1890

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== neutron/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psycopg2

=== debian/changelog ===
neutron (2:13.0.7+git.2021.09.27.bace3d1890-0+deb10u1) buster-security; urgency=medium

  * New upstream point release.
    - CVE-2021-40085: By supplying a specially crafted extra_dhcp_opts value,
      an authenticated user may add arbitrary configuration to the dnsmasq
      process in order to crash the service, change parameters for other
      tenants sharing the same interface, or otherwise alter that daemon's
      behavior. This vulnerability may also be used to trigger a configuration
      parsing buffer overflow in versions of dnsmasq prior to 2.81, which could
      lead to remote code execution. All Neutron deployments are affected.
      (Closes: #993398)
  * Add Add_a_healthcheck_URL.patch.
  * Removed patches applied upstream:
    - rootwrap-fix-for-neutron-fwaas.patch
    - CVE-2019-10876_rocky_fix_KeyError_in_OVS_firewall.patch
    - CVE-2019-9735_When_converting_sg_rules_to_iptables_do_not_emit_d....patch
  * Refreshed multiple patches.
  * Add the neccessary debconf stuff to stop modifying config files on
    upgrades.
  * Add patch:
    - revert-call-install_ingress_direct_goto_flows_when_ovs_restarts.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 13:42:16 +0200

neutron (2:13.0.2-15) unstable; urgency=high

  * Do not set external_network_bridge=br-ex by default in l3_agent.ini:
    1/ this is deprecated upstream, and 2/ this prevent from setting-up
    multiple external networks.
  * CVE-2019-10876: By creating two security groups with separate/overlapping
    port ranges, an authenticated user may prevent Neutron from being able to
    configure networks on any compute nodes where those security groups are
    present, because of an Open vSwitch (OVS) firewall KeyError. Applied
    upstream patch: Fix KeyError in OVS firewall (Closes: #926502).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Apr 2019 23:01:34 +0200

neutron (2:13.0.2-14) unstable; urgency=medium

  * Fix setting nova auth_url in postinst (Closes: #924648).

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 15 Mar 2019 13:21:50 +0100

neutron (2:13.0.2-13) unstable; urgency=high

  * CVE-2019-9735: it's possible to add a security group rule for VRRP with a
    dport. Apply upstream patch: When converting sg rules to iptables, do not
    emit dport if not supported. (Closes: #924508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2019 00:13:45 +0100

neutron (2:13.0.2-12) unstable; urgency=medium

  * Fix rootwrap patch to work against Python 3.7.
  * Add Join_on_explcit_relationship_paths.patch, which adds compatibility
    with SQLAlchemy >= 1.3.x (previously, adding a floating IP would fail).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2019 13:49:34 +0100

neutron (2:13.0.2-10) unstable; urgency=medium

  * Fix reading [nova]/auth_url in config script.
  * Do not write password of [nova] credentials if input is empty.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 09:35:46 +0100

neutron (2:13.0.2-9) unstable; urgency=medium

  * Remove neutron-metadata-agent from dependencies of dhcp and l3 agents.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2019 17:15:18 +0100

neutron (2:13.0.2-8) unstable; urgency=medium

  * Redirect iptables calls on ovs-agent startup to /dev/null.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 13:36:19 +0100

neutron (2:13.0.2-7) unstable; urgency=medium

  * Also do the "ip6tables -t raw -L || true" trick.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Jan 2019 11:09:48 +0100

neutron (2:13.0.2-6) unstable; urgency=medium

  * Do not pass twice openvswitch_agent.ini as parameter to ovs-agent.
  * ovs-agent: run "iptables -t raw -L || true" to initialize the driver so
    that "iptables-save -t raw" works.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jan 2019 11:20:32 +0100

neutron (2:13.0.2-5) unstable; urgency=medium

  * Fix /usr/bin/neutron-plugin-manage. (Closes: #918808).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 09:38:30 +0100

neutron (2:13.0.2-4) unstable; urgency=medium

  [ Thomas Goirand ]
  * Do not wrongly "fix" rights of /usr/bin/neutron-plugin-manage.
  * Do not manage plugin symlinks and let individual package simply ship them.
  * Update Debconf templates translations, with thanks to:
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #914532)
    - German:  Chris Leick <c.leick@vollbio.de> (Closes: #913994).
    - French: Alban Vidal <alban.vidal@zordhak.fr> (Closes: #913562).

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 05:48:46 +0100

neutron (2:13.0.2-3) unstable; urgency=medium

  * Fix reading config in neutron-plugin-manage

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 02 Dec 2018 14:54:00 +0100

neutron (2:13.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 89

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 13 Nov 2018 14:01:27 +0100

neutron (2:13.0.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control:
      - Add python3-requests {build-}dependencies
      - Add python3-openstackclient dependency (Closes: #913428)
  * d/neutron-common.postrm.in:
      - Add deletion of /etc/neutron/metadata_agent.ini (Closes: #913224)
  * Run wrap-and-sort -bast
  * Update debconf templates

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 10 Nov 2018 22:01:28 +0100

neutron (2:13.0.1-6) unstable; urgency=medium

  * d/neutron-plugin-manage: Improve maintainer script.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 05 Nov 2018 12:58:40 +0100

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Gustavo Panizzo <gfa@zumbi.com.ar>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 89~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bridge-utils,
 python3-cliff (>= 1.15.0),
 python3-coverage,
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-flake8,
 python3-gevent (>= 1.2.2),
 python3-gflags,
 python3-hacking (>= 0.11.0),
 python3-httplib2,
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.8.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.30.1),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 2.21.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.19.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 8.1.0),
 python3-oslo.middleware (>= 3.36.0),
 python3-oslo.policy (>= 1.38.1),
 python3-oslo.privsep (>= 1.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.27.0),
 python3-oslo.service (>= 1.31.3),
 python3-oslo.utils (>= 3.36.4),
 python3-oslo.versionedobjects (>= 1.33.3),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-ovsdbapp (>= 0.9.1),
 python3-paste,
 python3-pastedeploy,
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil,
 python3-pymysql,
 python3-pyroute2 (>= 0.4.21),
 python3-pyudev,
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-ryu (>= 4.24),
 python3-six,
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.0.0),
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 tempest (>= 1:12.1.0),
Standards-Version: 4.1.3
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-mysqldb,
 python3-neutron (= ${source:Version}),
 python3-openstackclient,
 python3-pyparsing (>=1.5.7),
 python3-sqlalchemy (>= 1.2.0),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch (>= 2.8.0),
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron RPC server.

Package: neutron-server
Architecture: all
Depends:
 neutron-api (= ${source:Version}),
 neutron-rpc-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metapackage for the server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 As the Debian packages switched to Python 3, it isn't possible to run using
 Eventlet (ie: the standalone neutron-server daemon) if we use SSL, because of
 defects in python3-eventlet. So the Debian package maitainer decided to switch
 to uwsgi instead. In this mode, one needs to also run neutron-rpc-server to
 listen for requests on the message bus (ie: rabbitmq in most cases). For this
 reason, the neutron-server package has been split into neutron-api and
 neutron-rpc-server.
 .
 Transition package for neutron-server.

Package: neutron-sriov-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - SR-IOV agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
